Upgrading Sentry DB to Aurora PostgreSQL 9.6.8 or 10.4


#1

Hello. I’ve recently become responsible for the database portion of a Sentry install. Our instance is currently on AWS:RDS @ 9.5.10, I’d like to upgrade the db to 9.6.8 or 10.4 and also move Sentry to Aurora.

Are there any issues running this service on a version of PG beyond 9.5? For the applications which emit to Sentry, will those show any abnormalities during the database upgrade outage?

Thanks Much.


#2

We’ve not tested beyond pg 9.6, so I’m not sure if there would be any issues with pg 10+.

And applications sending errors to Sentry should be just fine.


#3

Matt, thanks a lot for the quick reply. Appreciated.
-G